!SESSION 2020-10-23 13:32:37.544 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.8.0_201
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_GB
Command-line arguments:  -os win32 -ws win32 -arch x86_64

!ENTRY org.eclipse.egit.core 1 0 2020-10-23 13:33:22.553
!MESSAGE Using Apache MINA sshd as ssh client.

!ENTRY org.eclipse.jface 2 0 2020-10-23 13:33:28.031
!MESSAGE Keybinding conflicts occurred.  They may interfere with normal accelerator operation.
!SUBENTRY 1 org.eclipse.jface 2 0 2020-10-23 13:33:28.031
!MESSAGE A conflict occurred for CTRL+U:
Binding(CTRL+U,
	ParameterizedCommand(Command(org.eclipse.jdt.debug.ui.commands.Execute,Execute,
		Evaluate selected text,
		Category(org.eclipse.debug.ui.category.run,Run/Debug,Run/Debug command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@5513a46b,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+U,
	ParameterizedCommand(Command(com.nxp.swtools.clocks.commands.unlockAll,Unlock All Settings,
		,
		Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@5759edff,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)

!ENTRY com.nxp.mcuxpresso.core.datamodels 1 0 2020-10-23 13:33:44.001
!MESSAGE Recreating part support. No part support available.

!ENTRY org.eclipse.launchbar.core 2 0 2020-10-23 13:33:50.615
!MESSAGE Enablement expression is missing for descriptor type org.eclipse.cdt.dsf.gdb.gdbRemotedescriptorType

!ENTRY org.eclipse.launchbar.core 2 0 2020-10-23 13:33:50.662
!MESSAGE Enablement expression is missing for config provider for org.eclipse.cdt.dsf.gdb.gdbRemotedescriptorType

!ENTRY com.nxp.mcuxpresso.core.datamodels 1 0 2020-10-23 13:33:51.409
!MESSAGE The device 'MIMXRT1062xxxxA' (version='1.0.0') from SDK 'SDK_2.x_EVK-MIMXRT1060' (version='2.7.0', build='Mcuxpresso 303 2019-12-19') will be installed.

!ENTRY org.eclipse.egit.ui 2 0 2020-10-23 13:33:52.191
!MESSAGE Warning: The environment variable HOME is not set. The following directory will be used to store the Git
user global configuration and to define the default location to store repositories: 'C:\Users\dsmit'. If this is
not correct please set the HOME environment variable and restart Eclipse. Otherwise Git for Windows and
EGit might behave differently since they see different configuration options.
This warning can be switched off on the Team > Git > Confirmations and Warnings preference page.

!ENTRY org.eclipse.cdt.core 1 0 2020-10-23 13:44:43.856
!MESSAGE Indexed 'CallistoBootloader' (19 sources, 199 headers) in 10.9 sec: 18,401 declarations; 32,378 references; 3 unresolved inclusions; 42 syntax errors; 97 unresolved names (0.19%)

!ENTRY org.eclipse.cdt.core 1 0 2020-10-23 13:45:01.677
!MESSAGE Indexed 'FreeRTOSLib' (164 sources, 410 headers) in 17.8 sec: 30,774 declarations; 160,086 references; 3 unresolved inclusions; 142 syntax errors; 1,316 unresolved names (0.68%)

!ENTRY org.eclipse.equinox.p2.metadata.repository 4 1000 2020-10-23 13:45:17.180
!MESSAGE No repository found at http://download.gna.org/eclox/update.

!ENTRY com.nxp.mcuxpresso.trace.core 1 0 2020-10-23 13:48:02.958
!MESSAGE SWO session connected on port 2332->64537 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.core.debug 1 0 2020-10-23 13:48:03.930
!MESSAGE Telnet session connected on port 2333->64539 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.core.debug 4 0 2020-10-23 14:32:39.218
!MESSAGE There is already a running debug session for the launch configuration 'CallistoBootloader'.

!ENTRY com.crt.log 4 -1 2020-10-23 14:32:45.206
!MESSAGE Document is closed
!STACK 0
java.lang.Exception: java.io.IOException: Document is closed
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.lf(MCXTelnetService.java:449)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.shutdown(MCXTelnetService.java:194)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.launchesTerminated(MCXTelnetService.java:281)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.run(LaunchManager.java:307)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.notify(LaunchManager.java:262)
	at org.eclipse.debug.internal.core.LaunchManager.fireUpdate(LaunchManager.java:1050)
	at org.eclipse.debug.core.Launch.fireTerminate(Launch.java:482)
	at org.eclipse.cdt.dsf.debug.model.DsfLaunch.access$1(DsfLaunch.java:1)
	at org.eclipse.cdt.dsf.debug.model.DsfLaunch$2.run(DsfLaunch.java:55)
	at org.eclipse.debug.core.DebugPlugin$AsynchRunner.run(DebugPlugin.java:1095)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.core.DebugPlugin$AsynchRunner.async(DebugPlugin.java:1082)
	at org.eclipse.debug.core.DebugPlugin$EventDispatchJob.run(DebugPlugin.java:442)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Caused by: java.io.IOException: Document is closed
	at org.eclipse.ui.internal.console.IOConsolePartitioner.streamAppended(IOConsolePartitioner.java:422)
	at org.eclipse.ui.console.IOConsoleOutputStream.notifyParitioner(IOConsoleOutputStream.java:280)
	at org.eclipse.ui.console.IOConsoleOutputStream.close(IOConsoleOutputStream.java:178)
	at org.eclipse.ui.console.IOConsoleOutputStream.notifyParitioner(IOConsoleOutputStream.java:289)
	at org.eclipse.ui.console.IOConsoleOutputStream.encodedWrite(IOConsoleOutputStream.java:275)
	at org.eclipse.ui.console.IOConsoleOutputStream.write(IOConsoleOutputStream.java:200)
	at org.eclipse.ui.console.IOConsoleOutputStream.write(IOConsoleOutputStream.java:210)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.lf(MCXTelnetService.java:440)
	... 14 more

!ENTRY com.crt.log 4 -1 2020-10-23 14:32:45.671
!MESSAGE Document is closed
!STACK 0
java.lang.Exception: java.io.IOException: Document is closed
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.log(MCXTelnetService.java:416)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.shutdown(MCXTelnetService.java:195)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.launchesTerminated(MCXTelnetService.java:281)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.run(LaunchManager.java:307)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.notify(LaunchManager.java:262)
	at org.eclipse.debug.internal.core.LaunchManager.fireUpdate(LaunchManager.java:1050)
	at org.eclipse.debug.core.Launch.fireTerminate(Launch.java:482)
	at org.eclipse.cdt.dsf.debug.model.DsfLaunch.access$1(DsfLaunch.java:1)
	at org.eclipse.cdt.dsf.debug.model.DsfLaunch$2.run(DsfLaunch.java:55)
	at org.eclipse.debug.core.DebugPlugin$AsynchRunner.run(DebugPlugin.java:1095)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.core.DebugPlugin$AsynchRunner.async(DebugPlugin.java:1082)
	at org.eclipse.debug.core.DebugPlugin$EventDispatchJob.run(DebugPlugin.java:442)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Caused by: java.io.IOException: Document is closed
	at org.eclipse.ui.internal.console.IOConsolePartitioner.streamAppended(IOConsolePartitioner.java:422)
	at org.eclipse.ui.console.IOConsoleOutputStream.notifyParitioner(IOConsoleOutputStream.java:280)
	at org.eclipse.ui.console.IOConsoleOutputStream.encodedWrite(IOConsoleOutputStream.java:275)
	at org.eclipse.ui.console.IOConsoleOutputStream.write(IOConsoleOutputStream.java:259)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.log(MCXTelnetService.java:410)
	... 14 more

!ENTRY com.crt.log 4 -1 2020-10-23 14:32:45.787
!MESSAGE Document is closed
!STACK 0
java.lang.Exception: java.io.IOException: Document is closed
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.lf(MCXTelnetService.java:449)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.shutdown(MCXTelnetService.java:194)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.launchesTerminated(MCXTelnetService.java:281)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.launchesRemoved(MCXTelnetService.java:213)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.run(LaunchManager.java:276)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.notify(LaunchManager.java:262)
	at org.eclipse.debug.internal.core.LaunchManager.fireUpdate(LaunchManager.java:1050)
	at org.eclipse.debug.internal.core.LaunchManager.removeLaunch(LaunchManager.java:2224)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationManager.removeTerminatedLaunches(LaunchConfigurationManager.java:334)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationManager.launchAdded(LaunchConfigurationManager.java:320)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchNotifier.run(LaunchManager.java:427)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchNotifier.notify(LaunchManager.java:417)
	at org.eclipse.debug.internal.core.LaunchManager.fireUpdate(LaunchManager.java:1039)
	at org.eclipse.debug.internal.core.LaunchManager.addLaunch(LaunchManager.java:679)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:811)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:720)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:1020)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$2.run(DebugUIPlugin.java:1234)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Caused by: java.io.IOException: Document is closed
	at org.eclipse.ui.internal.console.IOConsolePartitioner.streamAppended(IOConsolePartitioner.java:422)
	at org.eclipse.ui.console.IOConsoleOutputStream.notifyParitioner(IOConsoleOutputStream.java:280)
	at org.eclipse.ui.console.IOConsoleOutputStream.close(IOConsoleOutputStream.java:178)
	at org.eclipse.ui.console.IOConsoleOutputStream.notifyParitioner(IOConsoleOutputStream.java:289)
	at org.eclipse.ui.console.IOConsoleOutputStream.encodedWrite(IOConsoleOutputStream.java:275)
	at org.eclipse.ui.console.IOConsoleOutputStream.write(IOConsoleOutputStream.java:200)
	at org.eclipse.ui.console.IOConsoleOutputStream.write(IOConsoleOutputStream.java:210)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.lf(MCXTelnetService.java:440)
	... 20 more

!ENTRY com.crt.log 4 -1 2020-10-23 14:32:45.899
!MESSAGE Document is closed
!STACK 0
java.lang.Exception: java.io.IOException: Document is closed
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.log(MCXTelnetService.java:416)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.shutdown(MCXTelnetService.java:195)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.launchesTerminated(MCXTelnetService.java:281)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.launchesRemoved(MCXTelnetService.java:213)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.run(LaunchManager.java:276)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.notify(LaunchManager.java:262)
	at org.eclipse.debug.internal.core.LaunchManager.fireUpdate(LaunchManager.java:1050)
	at org.eclipse.debug.internal.core.LaunchManager.removeLaunch(LaunchManager.java:2224)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationManager.removeTerminatedLaunches(LaunchConfigurationManager.java:334)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationManager.launchAdded(LaunchConfigurationManager.java:320)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchNotifier.run(LaunchManager.java:427)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchNotifier.notify(LaunchManager.java:417)
	at org.eclipse.debug.internal.core.LaunchManager.fireUpdate(LaunchManager.java:1039)
	at org.eclipse.debug.internal.core.LaunchManager.addLaunch(LaunchManager.java:679)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:811)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:720)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:1020)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$2.run(DebugUIPlugin.java:1234)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Caused by: java.io.IOException: Document is closed
	at org.eclipse.ui.internal.console.IOConsolePartitioner.streamAppended(IOConsolePartitioner.java:422)
	at org.eclipse.ui.console.IOConsoleOutputStream.notifyParitioner(IOConsoleOutputStream.java:280)
	at org.eclipse.ui.console.IOConsoleOutputStream.encodedWrite(IOConsoleOutputStream.java:275)
	at org.eclipse.ui.console.IOConsoleOutputStream.write(IOConsoleOutputStream.java:259)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.log(MCXTelnetService.java:410)
	... 20 more

!ENTRY com.nxp.mcuxpresso.trace.core 1 0 2020-10-23 14:33:02.717
!MESSAGE SWO session connected on port 2332->49999 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.core.debug 1 0 2020-10-23 14:33:03.631
!MESSAGE Telnet session connected on port 2333->50000 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.trace.core 1 0 2020-10-23 14:37:33.136
!MESSAGE SWO session connected on port 2332->50196 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.core.debug 1 0 2020-10-23 14:37:34.016
!MESSAGE Telnet session connected on port 2333->50197 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.trace.core 1 0 2020-10-23 15:38:30.586
!MESSAGE SWO session connected on port 2332->49704 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.core.debug 1 0 2020-10-23 15:38:31.565
!MESSAGE Telnet session connected on port 2333->49705 @ 127.0.0.1

!ENTRY org.eclipse.cdt.core 4 0 2020-10-23 15:40:20.815
!MESSAGE Error
!STACK 0
java.lang.NullPointerException
	at org.eclipse.cdt.core.CCorePlugin.getCProjectDescription(CCorePlugin.java:881)
	at org.eclipse.cdt.make.internal.core.scannerconfig2.ScannerConfigInfoFactory2$ScannerConfigInfoSet.load(ScannerConfigInfoFactory2.java:102)
	at org.eclipse.cdt.make.internal.core.scannerconfig2.ScannerConfigInfoFactory2$ScannerConfigInfoSet.<init>(ScannerConfigInfoFactory2.java:96)
	at org.eclipse.cdt.make.internal.core.scannerconfig2.ScannerConfigInfoFactory2.createInfoSet(ScannerConfigInfoFactory2.java:1373)
	at org.eclipse.cdt.make.internal.core.scannerconfig2.ScannerConfigProfileManager.createScannerConfigBuildInfo2Set(ScannerConfigProfileManager.java:223)
	at org.eclipse.cdt.build.internal.core.scannerconfig2.CfgScannerConfigInfoFactory2$CfgInfo.getContainer(CfgScannerConfigInfoFactory2.java:118)
	at org.eclipse.cdt.build.internal.core.scannerconfig2.CfgScannerConfigInfoFactory2$CfgInfo.createMap(CfgScannerConfigInfoFactory2.java:144)
	at org.eclipse.cdt.build.internal.core.scannerconfig2.CfgScannerConfigInfoFactory2$CfgInfo.getInfo(CfgScannerConfigInfoFactory2.java:83)
	at org.eclipse.cdt.build.internal.core.scannerconfig.CfgDiscoveredPathManager.getContextInfo(CfgDiscoveredPathManager.java:433)
	at org.eclipse.cdt.build.internal.core.scannerconfig.CfgDiscoveredPathManager.getContextInfo(CfgDiscoveredPathManager.java:418)
	at org.eclipse.cdt.build.internal.core.scannerconfig.CfgDiscoveredPathManager.getDiscoveredInfo(CfgDiscoveredPathManager.java:168)
	at org.eclipse.cdt.managedbuilder.internal.dataprovider.ProfileInfoProvider.getEntryValues(ProfileInfoProvider.java:68)
	at org.eclipse.cdt.managedbuilder.internal.dataprovider.BuildEntryStorage.getDiscoveredEntries(BuildEntryStorage.java:203)
	at org.eclipse.cdt.managedbuilder.internal.dataprovider.BuildEntryStorage.putEntriesToLevel(BuildEntryStorage.java:193)
	at org.eclipse.cdt.core.settings.model.util.AbstractEntryStorage.initCache(AbstractEntryStorage.java:74)
	at org.eclipse.cdt.core.settings.model.util.AbstractEntryStorage.getEntries(AbstractEntryStorage.java:37)
	at org.eclipse.cdt.managedbuilder.internal.dataprovider.BuildLanguageData.getEntries(BuildLanguageData.java:163)
	at org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData.getEntriesToCopy(CDefaultLanguageData.java:99)
	at org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData.createStore(CDefaultLanguageData.java:90)
	at org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData.copySettingsFrom(CDefaultLanguageData.java:83)
	at org.eclipse.cdt.internal.core.settings.model.CLanguageSettingCache.copySettingsFrom(CLanguageSettingCache.java:49)
	at org.eclipse.cdt.internal.core.settings.model.CLanguageSettingCache.<init>(CLanguageSettingCache.java:38)
	at org.eclipse.cdt.internal.core.settings.model.CFolderDescriptionCache.copyLanguageData(CFolderDescriptionCache.java:82)
	at org.eclipse.cdt.core.settings.model.extension.impl.CDefaultFolderData.copyDataFrom(CDefaultFolderData.java:60)
	at org.eclipse.cdt.internal.core.settings.model.CFolderDescriptionCache.<init>(CFolderDescriptionCache.java:40)
	at org.eclipse.cdt.internal.core.settings.model.CConfigurationDescriptionCache.copyFolderData(CConfigurationDescriptionCache.java:242)
	at org.eclipse.cdt.core.settings.model.extension.impl.CDefaultConfigurationData.copySettingsFrom(CDefaultConfigurationData.java:117)
	at org.eclipse.cdt.internal.core.settings.model.CConfigurationDescriptionCache.loadData(CConfigurationDescriptionCache.java:154)
	at org.eclipse.cdt.internal.core.settings.model.CProjectDescription.loadDatas(CProjectDescription.java:199)
	at org.eclipse.cdt.internal.core.settings.model.xml.XmlProjectDescriptionStorage.loadProjectDescription(XmlProjectDescriptionStorage.java:512)
	at org.eclipse.cdt.internal.core.settings.model.xml.XmlProjectDescriptionStorage.getProjectDescription(XmlProjectDescriptionStorage.java:240)
	at org.eclipse.cdt.internal.core.settings.model.CProjectDescriptionManager.getProjectDescriptionInternal(CProjectDescriptionManager.java:426)
	at org.eclipse.cdt.internal.core.settings.model.CProjectDescriptionManager.getProjectDescription(CProjectDescriptionManager.java:408)
	at org.eclipse.cdt.internal.core.settings.model.CProjectDescriptionManager.getProjectDescription(CProjectDescriptionManager.java:402)
	at org.eclipse.cdt.internal.core.settings.model.CProjectDescriptionManager.getProjectDescription(CProjectDescriptionManager.java:395)
	at org.eclipse.cdt.internal.core.language.settings.providers.LanguageSettingsScannerInfoProvider.getScannerInformation(LanguageSettingsScannerInfoProvider.java:78)
	at org.eclipse.cdt.internal.core.language.settings.providers.LanguageSettingsScannerInfoProvider.getScannerInformation(LanguageSettingsScannerInfoProvider.java:1)
	at org.eclipse.cdt.internal.core.model.TranslationUnit.getScannerInfo(TranslationUnit.java:1070)
	at org.eclipse.cdt.internal.core.pdom.indexer.ProjectIndexerInputAdapter.getBuildConfiguration(ProjectIndexerInputAdapter.java:160)
	at org.eclipse.cdt.internal.core.pdom.AbstractIndexerTask.getScannerInfo(AbstractIndexerTask.java:1030)
	at org.eclipse.cdt.internal.core.pdom.AbstractIndexerTask.parseLinkage(AbstractIndexerTask.java:909)
	at org.eclipse.cdt.internal.core.pdom.AbstractIndexerTask.runTask(AbstractIndexerTask.java:572)
	at org.eclipse.cdt.internal.core.pdom.indexer.PDOMIndexerTask.run(PDOMIndexerTask.java:164)
	at org.eclipse.cdt.internal.core.pdom.indexer.PDOMUpdateTask.run(PDOMUpdateTask.java:96)
	at org.eclipse.cdt.internal.core.pdom.PDOMIndexerJob.run(PDOMIndexerJob.java:160)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)

!ENTRY org.eclipse.core.jobs 4 2 2020-10-23 15:40:20.828
!MESSAGE An internal error occurred during: "C/C++ Indexer".
!STACK 0
java.lang.NullPointerException
	at org.eclipse.cdt.core.CCorePlugin.getCProjectDescription(CCorePlugin.java:881)
	at org.eclipse.cdt.make.internal.core.scannerconfig2.ScannerConfigInfoFactory2$ScannerConfigInfoSet.load(ScannerConfigInfoFactory2.java:102)
	at org.eclipse.cdt.make.internal.core.scannerconfig2.ScannerConfigInfoFactory2$ScannerConfigInfoSet.<init>(ScannerConfigInfoFactory2.java:96)
	at org.eclipse.cdt.make.internal.core.scannerconfig2.ScannerConfigInfoFactory2.createInfoSet(ScannerConfigInfoFactory2.java:1373)
	at org.eclipse.cdt.make.internal.core.scannerconfig2.ScannerConfigProfileManager.createScannerConfigBuildInfo2Set(ScannerConfigProfileManager.java:223)
	at org.eclipse.cdt.build.internal.core.scannerconfig2.CfgScannerConfigInfoFactory2$CfgInfo.getContainer(CfgScannerConfigInfoFactory2.java:118)
	at org.eclipse.cdt.build.internal.core.scannerconfig2.CfgScannerConfigInfoFactory2$CfgInfo.createMap(CfgScannerConfigInfoFactory2.java:144)
	at org.eclipse.cdt.build.internal.core.scannerconfig2.CfgScannerConfigInfoFactory2$CfgInfo.getInfo(CfgScannerConfigInfoFactory2.java:83)
	at org.eclipse.cdt.build.internal.core.scannerconfig.CfgDiscoveredPathManager.getContextInfo(CfgDiscoveredPathManager.java:433)
	at org.eclipse.cdt.build.internal.core.scannerconfig.CfgDiscoveredPathManager.getContextInfo(CfgDiscoveredPathManager.java:418)
	at org.eclipse.cdt.build.internal.core.scannerconfig.CfgDiscoveredPathManager.getDiscoveredInfo(CfgDiscoveredPathManager.java:168)
	at org.eclipse.cdt.managedbuilder.internal.dataprovider.ProfileInfoProvider.getEntryValues(ProfileInfoProvider.java:68)
	at org.eclipse.cdt.managedbuilder.internal.dataprovider.BuildEntryStorage.getDiscoveredEntries(BuildEntryStorage.java:203)
	at org.eclipse.cdt.managedbuilder.internal.dataprovider.BuildEntryStorage.putEntriesToLevel(BuildEntryStorage.java:193)
	at org.eclipse.cdt.core.settings.model.util.AbstractEntryStorage.initCache(AbstractEntryStorage.java:74)
	at org.eclipse.cdt.core.settings.model.util.AbstractEntryStorage.getEntries(AbstractEntryStorage.java:37)
	at org.eclipse.cdt.managedbuilder.internal.dataprovider.BuildLanguageData.getEntries(BuildLanguageData.java:163)
	at org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData.getEntriesToCopy(CDefaultLanguageData.java:99)
	at org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData.createStore(CDefaultLanguageData.java:90)
	at org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData.copySettingsFrom(CDefaultLanguageData.java:83)
	at org.eclipse.cdt.internal.core.settings.model.CLanguageSettingCache.copySettingsFrom(CLanguageSettingCache.java:49)
	at org.eclipse.cdt.internal.core.settings.model.CLanguageSettingCache.<init>(CLanguageSettingCache.java:38)
	at org.eclipse.cdt.internal.core.settings.model.CFolderDescriptionCache.copyLanguageData(CFolderDescriptionCache.java:82)
	at org.eclipse.cdt.core.settings.model.extension.impl.CDefaultFolderData.copyDataFrom(CDefaultFolderData.java:60)
	at org.eclipse.cdt.internal.core.settings.model.CFolderDescriptionCache.<init>(CFolderDescriptionCache.java:40)
	at org.eclipse.cdt.internal.core.settings.model.CConfigurationDescriptionCache.copyFolderData(CConfigurationDescriptionCache.java:242)
	at org.eclipse.cdt.core.settings.model.extension.impl.CDefaultConfigurationData.copySettingsFrom(CDefaultConfigurationData.java:117)
	at org.eclipse.cdt.internal.core.settings.model.CConfigurationDescriptionCache.loadData(CConfigurationDescriptionCache.java:154)
	at org.eclipse.cdt.internal.core.settings.model.CProjectDescription.loadDatas(CProjectDescription.java:199)
	at org.eclipse.cdt.internal.core.settings.model.xml.XmlProjectDescriptionStorage.loadProjectDescription(XmlProjectDescriptionStorage.java:512)
	at org.eclipse.cdt.internal.core.settings.model.xml.XmlProjectDescriptionStorage.getProjectDescription(XmlProjectDescriptionStorage.java:240)
	at org.eclipse.cdt.internal.core.settings.model.CProjectDescriptionManager.getProjectDescriptionInternal(CProjectDescriptionManager.java:426)
	at org.eclipse.cdt.internal.core.settings.model.CProjectDescriptionManager.getProjectDescription(CProjectDescriptionManager.java:408)
	at org.eclipse.cdt.internal.core.settings.model.CProjectDescriptionManager.getProjectDescription(CProjectDescriptionManager.java:402)
	at org.eclipse.cdt.internal.core.settings.model.CProjectDescriptionManager.getProjectDescription(CProjectDescriptionManager.java:395)
	at org.eclipse.cdt.internal.core.language.settings.providers.LanguageSettingsScannerInfoProvider.getScannerInformation(LanguageSettingsScannerInfoProvider.java:78)
	at org.eclipse.cdt.internal.core.language.settings.providers.LanguageSettingsScannerInfoProvider.getScannerInformation(LanguageSettingsScannerInfoProvider.java:1)
	at org.eclipse.cdt.internal.core.model.TranslationUnit.getScannerInfo(TranslationUnit.java:1070)
	at org.eclipse.cdt.internal.core.pdom.indexer.ProjectIndexerInputAdapter.getBuildConfiguration(ProjectIndexerInputAdapter.java:160)
	at org.eclipse.cdt.internal.core.pdom.AbstractIndexerTask.getScannerInfo(AbstractIndexerTask.java:1030)
	at org.eclipse.cdt.internal.core.pdom.AbstractIndexerTask.parseLinkage(AbstractIndexerTask.java:909)
	at org.eclipse.cdt.internal.core.pdom.AbstractIndexerTask.runTask(AbstractIndexerTask.java:572)
	at org.eclipse.cdt.internal.core.pdom.indexer.PDOMIndexerTask.run(PDOMIndexerTask.java:164)
	at org.eclipse.cdt.internal.core.pdom.indexer.PDOMUpdateTask.run(PDOMUpdateTask.java:96)
	at org.eclipse.cdt.internal.core.pdom.PDOMIndexerJob.run(PDOMIndexerJob.java:160)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
!SESSION 2020-10-23 16:03:11.846 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.8.0_201
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_GB
Command-line arguments:  -os win32 -ws win32 -arch x86_64

!ENTRY org.eclipse.egit.core 1 0 2020-10-23 16:03:23.917
!MESSAGE Using Apache MINA sshd as ssh client.

!ENTRY org.eclipse.jface 2 0 2020-10-23 16:03:28.721
!MESSAGE Keybinding conflicts occurred.  They may interfere with normal accelerator operation.
!SUBENTRY 1 org.eclipse.jface 2 0 2020-10-23 16:03:28.721
!MESSAGE A conflict occurred for CTRL+U:
Binding(CTRL+U,
	ParameterizedCommand(Command(org.eclipse.jdt.debug.ui.commands.Execute,Execute,
		Evaluate selected text,
		Category(org.eclipse.debug.ui.category.run,Run/Debug,Run/Debug command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@2114eb1a,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+U,
	ParameterizedCommand(Command(com.nxp.swtools.clocks.commands.unlockAll,Unlock All Settings,
		,
		Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@7e514482,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)

!ENTRY org.eclipse.launchbar.core 2 0 2020-10-23 16:03:50.103
!MESSAGE Enablement expression is missing for descriptor type org.eclipse.cdt.dsf.gdb.gdbRemotedescriptorType

!ENTRY org.eclipse.launchbar.core 2 0 2020-10-23 16:03:50.113
!MESSAGE Enablement expression is missing for config provider for org.eclipse.cdt.dsf.gdb.gdbRemotedescriptorType

!ENTRY org.eclipse.egit.ui 2 0 2020-10-23 16:03:51.651
!MESSAGE Warning: The environment variable HOME is not set. The following directory will be used to store the Git
user global configuration and to define the default location to store repositories: 'C:\Users\dsmit'. If this is
not correct please set the HOME environment variable and restart Eclipse. Otherwise Git for Windows and
EGit might behave differently since they see different configuration options.
This warning can be switched off on the Team > Git > Confirmations and Warnings preference page.
!SESSION 2020-10-23 16:29:48.273 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.8.0_201
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_GB
Command-line arguments:  -os win32 -ws win32 -arch x86_64 -data D:\Remsdaq\Support\LUT_error

!ENTRY org.eclipse.egit.core 1 0 2020-10-23 16:30:00.093
!MESSAGE Using Apache MINA sshd as ssh client.

!ENTRY org.eclipse.jface 2 0 2020-10-23 16:30:04.661
!MESSAGE Keybinding conflicts occurred.  They may interfere with normal accelerator operation.
!SUBENTRY 1 org.eclipse.jface 2 0 2020-10-23 16:30:04.661
!MESSAGE A conflict occurred for CTRL+U:
Binding(CTRL+U,
	ParameterizedCommand(Command(org.eclipse.jdt.debug.ui.commands.Execute,Execute,
		Evaluate selected text,
		Category(org.eclipse.debug.ui.category.run,Run/Debug,Run/Debug command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@240291d9,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+U,
	ParameterizedCommand(Command(com.nxp.swtools.clocks.commands.unlockAll,Unlock All Settings,
		,
		Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@450f0d89,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)

!ENTRY org.eclipse.launchbar.core 2 0 2020-10-23 16:30:26.351
!MESSAGE Enablement expression is missing for descriptor type org.eclipse.cdt.dsf.gdb.gdbRemotedescriptorType

!ENTRY org.eclipse.launchbar.core 2 0 2020-10-23 16:30:26.367
!MESSAGE Enablement expression is missing for config provider for org.eclipse.cdt.dsf.gdb.gdbRemotedescriptorType

!ENTRY org.eclipse.egit.ui 2 0 2020-10-23 16:30:27.427
!MESSAGE Warning: The environment variable HOME is not set. The following directory will be used to store the Git
user global configuration and to define the default location to store repositories: 'C:\Users\dsmit'. If this is
not correct please set the HOME environment variable and restart Eclipse. Otherwise Git for Windows and
EGit might behave differently since they see different configuration options.
This warning can be switched off on the Team > Git > Confirmations and Warnings preference page.

!ENTRY com.nxp.mcuxpresso.trace.core 1 0 2020-10-23 16:33:51.869
!MESSAGE SWO session connected on port 2332->62757 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.core.debug 1 0 2020-10-23 16:33:52.840
!MESSAGE Telnet session connected on port 2333->62758 @ 127.0.0.1

!ENTRY org.eclipse.equinox.p2.metadata.repository 4 1000 2020-10-23 16:51:38.211
!MESSAGE No repository found at http://download.gna.org/eclox/update.

!ENTRY com.crt.log 4 -1 2020-10-23 17:07:56.387
!MESSAGE Document is closed
!STACK 0
java.lang.Exception: java.io.IOException: Document is closed
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.lf(MCXTelnetService.java:449)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.shutdown(MCXTelnetService.java:194)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.launchesTerminated(MCXTelnetService.java:281)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.launchesRemoved(MCXTelnetService.java:213)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.run(LaunchManager.java:276)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.notify(LaunchManager.java:262)
	at org.eclipse.debug.internal.core.LaunchManager.fireUpdate(LaunchManager.java:1050)
	at org.eclipse.debug.internal.core.LaunchManager.removeLaunch(LaunchManager.java:2224)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationManager.removeTerminatedLaunches(LaunchConfigurationManager.java:334)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationManager.launchAdded(LaunchConfigurationManager.java:320)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchNotifier.run(LaunchManager.java:427)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchNotifier.notify(LaunchManager.java:417)
	at org.eclipse.debug.internal.core.LaunchManager.fireUpdate(LaunchManager.java:1039)
	at org.eclipse.debug.internal.core.LaunchManager.addLaunch(LaunchManager.java:679)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:811)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:720)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:1020)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$2.run(DebugUIPlugin.java:1234)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Caused by: java.io.IOException: Document is closed
	at org.eclipse.ui.internal.console.IOConsolePartitioner.streamAppended(IOConsolePartitioner.java:422)
	at org.eclipse.ui.console.IOConsoleOutputStream.notifyParitioner(IOConsoleOutputStream.java:280)
	at org.eclipse.ui.console.IOConsoleOutputStream.close(IOConsoleOutputStream.java:178)
	at org.eclipse.ui.console.IOConsoleOutputStream.notifyParitioner(IOConsoleOutputStream.java:289)
	at org.eclipse.ui.console.IOConsoleOutputStream.encodedWrite(IOConsoleOutputStream.java:275)
	at org.eclipse.ui.console.IOConsoleOutputStream.write(IOConsoleOutputStream.java:200)
	at org.eclipse.ui.console.IOConsoleOutputStream.write(IOConsoleOutputStream.java:210)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.lf(MCXTelnetService.java:440)
	... 20 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:07:56.563
!MESSAGE Document is closed
!STACK 0
java.lang.Exception: java.io.IOException: Document is closed
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.log(MCXTelnetService.java:416)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.shutdown(MCXTelnetService.java:195)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.launchesTerminated(MCXTelnetService.java:281)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.launchesRemoved(MCXTelnetService.java:213)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.run(LaunchManager.java:276)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.notify(LaunchManager.java:262)
	at org.eclipse.debug.internal.core.LaunchManager.fireUpdate(LaunchManager.java:1050)
	at org.eclipse.debug.internal.core.LaunchManager.removeLaunch(LaunchManager.java:2224)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationManager.removeTerminatedLaunches(LaunchConfigurationManager.java:334)
	at org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationManager.launchAdded(LaunchConfigurationManager.java:320)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchNotifier.run(LaunchManager.java:427)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchNotifier.notify(LaunchManager.java:417)
	at org.eclipse.debug.internal.core.LaunchManager.fireUpdate(LaunchManager.java:1039)
	at org.eclipse.debug.internal.core.LaunchManager.addLaunch(LaunchManager.java:679)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:811)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:720)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:1020)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$2.run(DebugUIPlugin.java:1234)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Caused by: java.io.IOException: Document is closed
	at org.eclipse.ui.internal.console.IOConsolePartitioner.streamAppended(IOConsolePartitioner.java:422)
	at org.eclipse.ui.console.IOConsoleOutputStream.notifyParitioner(IOConsoleOutputStream.java:280)
	at org.eclipse.ui.console.IOConsoleOutputStream.encodedWrite(IOConsoleOutputStream.java:275)
	at org.eclipse.ui.console.IOConsoleOutputStream.write(IOConsoleOutputStream.java:259)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.log(MCXTelnetService.java:410)
	... 20 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:07:57.236
!MESSAGE Document is closed
!STACK 0
java.lang.Exception: java.io.IOException: Document is closed
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.lf(MCXTelnetService.java:449)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.shutdown(MCXTelnetService.java:194)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.launchesTerminated(MCXTelnetService.java:281)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.run(LaunchManager.java:307)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.notify(LaunchManager.java:262)
	at org.eclipse.debug.internal.core.LaunchManager.fireUpdate(LaunchManager.java:1050)
	at org.eclipse.debug.core.Launch.fireTerminate(Launch.java:482)
	at org.eclipse.cdt.dsf.debug.model.DsfLaunch.access$1(DsfLaunch.java:1)
	at org.eclipse.cdt.dsf.debug.model.DsfLaunch$2.run(DsfLaunch.java:55)
	at org.eclipse.debug.core.DebugPlugin$AsynchRunner.run(DebugPlugin.java:1095)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.core.DebugPlugin$AsynchRunner.async(DebugPlugin.java:1082)
	at org.eclipse.debug.core.DebugPlugin$EventDispatchJob.run(DebugPlugin.java:442)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Caused by: java.io.IOException: Document is closed
	at org.eclipse.ui.internal.console.IOConsolePartitioner.streamAppended(IOConsolePartitioner.java:422)
	at org.eclipse.ui.console.IOConsoleOutputStream.notifyParitioner(IOConsoleOutputStream.java:280)
	at org.eclipse.ui.console.IOConsoleOutputStream.close(IOConsoleOutputStream.java:178)
	at org.eclipse.ui.console.IOConsoleOutputStream.notifyParitioner(IOConsoleOutputStream.java:289)
	at org.eclipse.ui.console.IOConsoleOutputStream.encodedWrite(IOConsoleOutputStream.java:275)
	at org.eclipse.ui.console.IOConsoleOutputStream.write(IOConsoleOutputStream.java:200)
	at org.eclipse.ui.console.IOConsoleOutputStream.write(IOConsoleOutputStream.java:210)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.lf(MCXTelnetService.java:440)
	... 14 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:07:57.244
!MESSAGE Document is closed
!STACK 0
java.lang.Exception: java.io.IOException: Document is closed
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.log(MCXTelnetService.java:416)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.shutdown(MCXTelnetService.java:195)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.launchesTerminated(MCXTelnetService.java:281)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.run(LaunchManager.java:307)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.internal.core.LaunchManager$LaunchesNotifier.notify(LaunchManager.java:262)
	at org.eclipse.debug.internal.core.LaunchManager.fireUpdate(LaunchManager.java:1050)
	at org.eclipse.debug.core.Launch.fireTerminate(Launch.java:482)
	at org.eclipse.cdt.dsf.debug.model.DsfLaunch.access$1(DsfLaunch.java:1)
	at org.eclipse.cdt.dsf.debug.model.DsfLaunch$2.run(DsfLaunch.java:55)
	at org.eclipse.debug.core.DebugPlugin$AsynchRunner.run(DebugPlugin.java:1095)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:45)
	at org.eclipse.debug.core.DebugPlugin$AsynchRunner.async(DebugPlugin.java:1082)
	at org.eclipse.debug.core.DebugPlugin$EventDispatchJob.run(DebugPlugin.java:442)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Caused by: java.io.IOException: Document is closed
	at org.eclipse.ui.internal.console.IOConsolePartitioner.streamAppended(IOConsolePartitioner.java:422)
	at org.eclipse.ui.console.IOConsoleOutputStream.notifyParitioner(IOConsoleOutputStream.java:280)
	at org.eclipse.ui.console.IOConsoleOutputStream.encodedWrite(IOConsoleOutputStream.java:275)
	at org.eclipse.ui.console.IOConsoleOutputStream.write(IOConsoleOutputStream.java:259)
	at com.nxp.mcuxpresso.core.debug.services.MCXTelnetService.log(MCXTelnetService.java:410)
	... 14 more

!ENTRY org.eclipse.cdt.dsf.gdb 4 5012 2020-10-23 17:08:05.653
!MESSAGE Error in final launch sequence:

Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
!STACK 1
org.eclipse.core.runtime.CoreException: Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.concurrent.Query.get(Query.java:112)
	at org.eclipse.cdt.dsf.gdb.launching.GdbLaunchDelegate.launchDebugSession(GdbLaunchDelegate.java:242)
	at org.eclipse.cdt.dsf.gdb.launching.GdbLaunchDelegate.launchDebugger(GdbLaunchDelegate.java:106)
	at org.eclipse.cdt.dsf.gdb.launching.GdbLaunchDelegate.launch(GdbLaunchDelegate.java:94)
	at com.nxp.mcuxpresso.core.debug.support.segger.launches.JLinkLaunchDelegate.launch(JLinkLaunchDelegate.java:292)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:862)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:720)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:1020)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$2.run(DebugUIPlugin.java:1234)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Caused by: java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:08:05.776
!MESSAGE Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
!STACK 0
java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY com.nxp.mcuxpresso.trace.core 1 0 2020-10-23 17:08:44.005
!MESSAGE SWO session connected on port 2332->65531 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.core.debug 1 0 2020-10-23 17:08:44.988
!MESSAGE Telnet session connected on port 2333->65533 @ 127.0.0.1

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:10:36.723
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.mi.service.MIRegisters$8@7966ca2): Status ERROR: org.eclipse.cdt.dsf.gdb code=10002 RegisterGroup context not found null' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10002 2020-10-23 17:10:36.723
!MESSAGE RegisterGroup context not found

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:10:57.928
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.debug.ui.viewmodel.SteppingController$3@320359b7): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Failed to execute MI command:
-exec-step 1
Error message from debugger back end:
Cannot find bounds of current function java.lang.Exception: Cannot find bounds of current function' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:10:57.928
!MESSAGE Failed to execute MI command:
-exec-step 1
Error message from debugger back end:
Cannot find bounds of current function
!STACK 0
java.lang.Exception: Cannot find bounds of current function
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:11:04.831
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.concurrent.ImmediateDataRequestMonitor@27df137a): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Failed to execute MI command:
-exec-step 1
Error message from debugger back end:
Cannot find bounds of current function java.lang.Exception: Cannot find bounds of current function' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:11:04.831
!MESSAGE Failed to execute MI command:
-exec-step 1
Error message from debugger back end:
Cannot find bounds of current function
!STACK 0
java.lang.Exception: Cannot find bounds of current function
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:11:07.330
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.concurrent.ImmediateDataRequestMonitor@3edd1243): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Failed to execute MI command:
-exec-step 1
Error message from debugger back end:
Cannot find bounds of current function java.lang.Exception: Cannot find bounds of current function' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:11:07.330
!MESSAGE Failed to execute MI command:
-exec-step 1
Error message from debugger back end:
Cannot find bounds of current function
!STACK 0
java.lang.Exception: Cannot find bounds of current function
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:11:09.529
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.concurrent.ImmediateDataRequestMonitor@5559da27): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Failed to execute MI command:
-exec-step 1
Error message from debugger back end:
Cannot find bounds of current function java.lang.Exception: Cannot find bounds of current function' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:11:09.529
!MESSAGE Failed to execute MI command:
-exec-step 1
Error message from debugger back end:
Cannot find bounds of current function
!STACK 0
java.lang.Exception: Cannot find bounds of current function
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:11:31.652
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.mi.service.MIRunControl$9@339928b0): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Interrupt failed. null' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:11:31.652
!MESSAGE Interrupt failed.

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:11:36.663
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.mi.service.MIRunControl$9@26ff8f48): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Interrupt failed. null' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:11:36.663
!MESSAGE Interrupt failed.

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:11:52.600
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.concurrent.ImmediateRequestMonitor@4cbac645): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it. java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:11:52.600
!MESSAGE Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
!STACK 0
java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY org.eclipse.cdt.dsf.gdb 4 5012 2020-10-23 17:11:52.740
!MESSAGE Error in final launch sequence:

Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
!STACK 1
org.eclipse.core.runtime.CoreException: Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.concurrent.Query.get(Query.java:112)
	at org.eclipse.cdt.dsf.gdb.launching.GdbLaunchDelegate.launchDebugSession(GdbLaunchDelegate.java:242)
	at org.eclipse.cdt.dsf.gdb.launching.GdbLaunchDelegate.launchDebugger(GdbLaunchDelegate.java:106)
	at org.eclipse.cdt.dsf.gdb.launching.GdbLaunchDelegate.launch(GdbLaunchDelegate.java:94)
	at com.nxp.mcuxpresso.core.debug.support.segger.launches.JLinkLaunchDelegate.launch(JLinkLaunchDelegate.java:292)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:862)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:720)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:1020)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$2.run(DebugUIPlugin.java:1234)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Caused by: java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:11:52.740
!MESSAGE Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
!STACK 0
java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY com.nxp.mcuxpresso.trace.core 1 0 2020-10-23 17:12:20.348
!MESSAGE SWO session connected on port 2332->49539 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.core.debug 1 0 2020-10-23 17:12:21.382
!MESSAGE Telnet session connected on port 2333->49541 @ 127.0.0.1

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:12:55.562
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.debug.ui.viewmodel.SteppingController$3@64f1b79e): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Failed to execute MI command:
-exec-next 1
Error message from debugger back end:
Cannot find bounds of current function java.lang.Exception: Cannot find bounds of current function' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:12:55.562
!MESSAGE Failed to execute MI command:
-exec-next 1
Error message from debugger back end:
Cannot find bounds of current function
!STACK 0
java.lang.Exception: Cannot find bounds of current function
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:12:59.747
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.concurrent.ImmediateDataRequestMonitor@6f5def71): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Failed to execute MI command:
-exec-next 1
Error message from debugger back end:
Cannot find bounds of current function java.lang.Exception: Cannot find bounds of current function' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:12:59.747
!MESSAGE Failed to execute MI command:
-exec-next 1
Error message from debugger back end:
Cannot find bounds of current function
!STACK 0
java.lang.Exception: Cannot find bounds of current function
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:13:10.902
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.concurrent.ImmediateDataRequestMonitor@2bae0d3d): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Failed to execute MI command:
-exec-next 1
Error message from debugger back end:
Cannot find bounds of current function java.lang.Exception: Cannot find bounds of current function' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:13:10.902
!MESSAGE Failed to execute MI command:
-exec-next 1
Error message from debugger back end:
Cannot find bounds of current function
!STACK 0
java.lang.Exception: Cannot find bounds of current function
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:14:34.094
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.mi.service.MIRegisters$8@62e2ba56): Status ERROR: org.eclipse.cdt.dsf.gdb code=10002 RegisterGroup context not found null' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10002 2020-10-23 17:14:34.094
!MESSAGE RegisterGroup context not found

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:17:47.064
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.concurrent.ImmediateRequestMonitor@6d62cddb): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Interrupt failed. null' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:17:47.064
!MESSAGE Interrupt failed.

!ENTRY com.nxp.mcuxpresso.trace.core 1 0 2020-10-23 17:18:37.342
!MESSAGE SWO session connected on port 2332->50182 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.core.debug 1 0 2020-10-23 17:18:38.324
!MESSAGE Telnet session connected on port 2333->50183 @ 127.0.0.1

!ENTRY com.crt.log 4 -1 2020-10-23 17:18:40.433
!MESSAGE Exception
!STACK 0
java.lang.Exception: java.lang.NullPointerException
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:117)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getFormattedExpressionValue(MCUXRegistersService.java:637)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.getValue(MCUXBitFieldDMContext.java:118)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.<init>(MCUXBitFieldDMContext.java:50)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterFactory.getRegisterFields(MCUXSpecialRegisterFactory.java:275)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getBitFields(MCUXRegistersService.java:764)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.register.RegisterBitFieldVMNode.updateElementsInSessionThread(RegisterBitFieldVMNode.java:636)
	at org.eclipse.cdt.dsf.ui.viewmodel.datamodel.AbstractDMVMNode$3.run(AbstractDMVMNode.java:253)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.NullPointerException
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:47)
	... 14 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:18:40.450
!MESSAGE Exception
!STACK 0
java.lang.Exception: java.lang.NullPointerException
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:117)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getFormattedExpressionValue(MCUXRegistersService.java:637)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.getValue(MCUXBitFieldDMContext.java:118)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.<init>(MCUXBitFieldDMContext.java:50)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterFactory.getRegisterFields(MCUXSpecialRegisterFactory.java:275)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getBitFields(MCUXRegistersService.java:764)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.register.RegisterBitFieldVMNode.updateElementsInSessionThread(RegisterBitFieldVMNode.java:636)
	at org.eclipse.cdt.dsf.ui.viewmodel.datamodel.AbstractDMVMNode$3.run(AbstractDMVMNode.java:253)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.NullPointerException
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:47)
	... 14 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:18:40.457
!MESSAGE Exception
!STACK 0
java.lang.Exception: java.lang.NullPointerException
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:117)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getFormattedExpressionValue(MCUXRegistersService.java:637)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.getValue(MCUXBitFieldDMContext.java:118)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.<init>(MCUXBitFieldDMContext.java:50)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterFactory.getRegisterFields(MCUXSpecialRegisterFactory.java:275)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getBitFields(MCUXRegistersService.java:764)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.register.RegisterBitFieldVMNode.updateElementsInSessionThread(RegisterBitFieldVMNode.java:636)
	at org.eclipse.cdt.dsf.ui.viewmodel.datamodel.AbstractDMVMNode$3.run(AbstractDMVMNode.java:253)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.NullPointerException
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:47)
	... 14 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:18:40.466
!MESSAGE Exception
!STACK 0
java.lang.Exception: java.lang.NullPointerException
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:117)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getFormattedExpressionValue(MCUXRegistersService.java:637)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.getValue(MCUXBitFieldDMContext.java:118)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.<init>(MCUXBitFieldDMContext.java:50)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterFactory.getRegisterFields(MCUXSpecialRegisterFactory.java:275)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getBitFields(MCUXRegistersService.java:764)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.register.RegisterBitFieldVMNode.updateElementsInSessionThread(RegisterBitFieldVMNode.java:636)
	at org.eclipse.cdt.dsf.ui.viewmodel.datamodel.AbstractDMVMNode$3.run(AbstractDMVMNode.java:253)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.NullPointerException
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:47)
	... 14 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:18:40.474
!MESSAGE Exception
!STACK 0
java.lang.Exception: java.lang.NullPointerException
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:117)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getFormattedExpressionValue(MCUXRegistersService.java:637)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.getValue(MCUXBitFieldDMContext.java:118)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.<init>(MCUXBitFieldDMContext.java:50)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterFactory.getRegisterFields(MCUXSpecialRegisterFactory.java:275)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getBitFields(MCUXRegistersService.java:764)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.register.RegisterBitFieldVMNode.updateElementsInSessionThread(RegisterBitFieldVMNode.java:636)
	at org.eclipse.cdt.dsf.ui.viewmodel.datamodel.AbstractDMVMNode$3.run(AbstractDMVMNode.java:253)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.NullPointerException
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:47)
	... 14 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:18:40.483
!MESSAGE Exception
!STACK 0
java.lang.Exception: java.lang.NullPointerException
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:117)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getFormattedExpressionValue(MCUXRegistersService.java:637)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.getValue(MCUXBitFieldDMContext.java:118)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.<init>(MCUXBitFieldDMContext.java:50)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterFactory.getRegisterFields(MCUXSpecialRegisterFactory.java:275)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getBitFields(MCUXRegistersService.java:764)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.register.RegisterBitFieldVMNode.updateElementsInSessionThread(RegisterBitFieldVMNode.java:636)
	at org.eclipse.cdt.dsf.ui.viewmodel.datamodel.AbstractDMVMNode$3.run(AbstractDMVMNode.java:253)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.NullPointerException
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:47)
	... 14 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:18:40.491
!MESSAGE Exception
!STACK 0
java.lang.Exception: java.lang.NullPointerException
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:117)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getFormattedExpressionValue(MCUXRegistersService.java:637)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.getValue(MCUXBitFieldDMContext.java:118)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.<init>(MCUXBitFieldDMContext.java:50)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterFactory.getRegisterFields(MCUXSpecialRegisterFactory.java:275)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getBitFields(MCUXRegistersService.java:764)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.register.RegisterBitFieldVMNode.updateElementsInSessionThread(RegisterBitFieldVMNode.java:636)
	at org.eclipse.cdt.dsf.ui.viewmodel.datamodel.AbstractDMVMNode$3.run(AbstractDMVMNode.java:253)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.NullPointerException
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:47)
	... 14 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:18:40.503
!MESSAGE Exception
!STACK 0
java.lang.Exception: java.lang.NullPointerException
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:117)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getFormattedExpressionValue(MCUXRegistersService.java:637)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.getValue(MCUXBitFieldDMContext.java:118)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.<init>(MCUXBitFieldDMContext.java:50)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterFactory.getRegisterFields(MCUXSpecialRegisterFactory.java:275)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getBitFields(MCUXRegistersService.java:764)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.register.RegisterBitFieldVMNode.updateElementsInSessionThread(RegisterBitFieldVMNode.java:636)
	at org.eclipse.cdt.dsf.ui.viewmodel.datamodel.AbstractDMVMNode$3.run(AbstractDMVMNode.java:253)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.NullPointerException
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:47)
	... 14 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:18:40.512
!MESSAGE Exception
!STACK 0
java.lang.Exception: java.lang.NullPointerException
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:117)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getFormattedExpressionValue(MCUXRegistersService.java:637)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.getValue(MCUXBitFieldDMContext.java:118)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXBitFieldDMContext.<init>(MCUXBitFieldDMContext.java:50)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterFactory.getRegisterFields(MCUXSpecialRegisterFactory.java:275)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getBitFields(MCUXRegistersService.java:764)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.register.RegisterBitFieldVMNode.updateElementsInSessionThread(RegisterBitFieldVMNode.java:636)
	at org.eclipse.cdt.dsf.ui.viewmodel.datamodel.AbstractDMVMNode$3.run(AbstractDMVMNode.java:253)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.NullPointerException
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:47)
	... 14 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:18:40.521
!MESSAGE Exception
!STACK 0
java.lang.Exception: java.lang.NullPointerException
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:117)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getFormattedExpressionValue(MCUXRegistersService.java:637)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.numberformat.FormattedValueRetriever.doUpdateWithRequestedFormats(FormattedValueRetriever.java:531)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.numberformat.FormattedValueRetriever.access$8(FormattedValueRetriever.java:511)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.numberformat.FormattedValueRetriever$4.run(FormattedValueRetriever.java:477)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.NullPointerException
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:47)
	... 11 more

!ENTRY com.crt.log 4 -1 2020-10-23 17:18:40.538
!MESSAGE Exception
!STACK 0
java.lang.Exception: java.lang.NullPointerException
	at com.crt.utils.general.Reporter.log(Reporter.java:580)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:117)
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXRegistersService.getFormattedExpressionValue(MCUXRegistersService.java:637)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.numberformat.FormattedValueRetriever.doUpdateWithRequestedFormats(FormattedValueRetriever.java:531)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.numberformat.FormattedValueRetriever.access$8(FormattedValueRetriever.java:511)
	at org.eclipse.cdt.dsf.debug.ui.viewmodel.numberformat.FormattedValueRetriever$4.run(FormattedValueRetriever.java:477)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.NullPointerException
	at com.nxp.mcuxpresso.core.debug.services.registers.MCUXSpecialRegisterMemMapped.getValue(MCUXSpecialRegisterMemMapped.java:47)
	... 11 more

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:19:55.108
!MESSAGE Request for monitor: 'CountingRequestMonitor: Status ERROR: org.eclipse.cdt.dsf code=10004  null children=[Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Interrupt failed. null]' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:19:55.108
!MESSAGE Interrupt failed.

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:20:01.580
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.concurrent.ImmediateRequestMonitor@36f0e4be): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Interrupt failed. null' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:20:01.580
!MESSAGE Interrupt failed.

!ENTRY com.nxp.mcuxpresso.trace.core 1 0 2020-10-23 17:20:17.310
!MESSAGE SWO session connected on port 2332->50305 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.core.debug 1 0 2020-10-23 17:20:18.301
!MESSAGE Telnet session connected on port 2333->50306 @ 127.0.0.1

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:21:28.900
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.concurrent.ImmediateRequestMonitor@edb959f): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Interrupt failed. null' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:21:28.900
!MESSAGE Interrupt failed.

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:21:39.864
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.concurrent.ImmediateRequestMonitor@655bc8ef): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it. java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:21:39.864
!MESSAGE Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
!STACK 0
java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY org.eclipse.cdt.dsf.gdb 4 5012 2020-10-23 17:21:40.004
!MESSAGE Error in final launch sequence:

Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
!STACK 1
org.eclipse.core.runtime.CoreException: Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.concurrent.Query.get(Query.java:112)
	at org.eclipse.cdt.dsf.gdb.launching.GdbLaunchDelegate.launchDebugSession(GdbLaunchDelegate.java:242)
	at org.eclipse.cdt.dsf.gdb.launching.GdbLaunchDelegate.launchDebugger(GdbLaunchDelegate.java:106)
	at org.eclipse.cdt.dsf.gdb.launching.GdbLaunchDelegate.launch(GdbLaunchDelegate.java:94)
	at com.nxp.mcuxpresso.core.debug.support.segger.launches.JLinkLaunchDelegate.launch(JLinkLaunchDelegate.java:292)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:862)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:720)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:1020)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$2.run(DebugUIPlugin.java:1234)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Caused by: java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:21:40.004
!MESSAGE Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
!STACK 0
java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY com.nxp.mcuxpresso.trace.core 1 0 2020-10-23 17:22:09.813
!MESSAGE SWO session connected on port 2332->50370 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.core.debug 1 0 2020-10-23 17:22:10.811
!MESSAGE Telnet session connected on port 2333->50371 @ 127.0.0.1

!ENTRY org.eclipse.core.jobs 4 2 2020-10-23 17:23:09.255
!MESSAGE An internal error occurred during: "Interrupt monitor job.".
!STACK 0
java.util.concurrent.RejectedExecutionException: Task java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask@11e4b801 rejected from org.eclipse.cdt.dsf.concurrent.DefaultDsfExecutor@63176891[Terminated, pool size = 0, active threads = 0, queued tasks = 0, completed tasks = 6348]
	at java.util.concurrent.ThreadPoolExecutor$AbortPolicy.rejectedExecution(ThreadPoolExecutor.java:2063)
	at java.util.concurrent.ThreadPoolExecutor.reject(ThreadPoolExecutor.java:830)
	at java.util.concurrent.ScheduledThreadPoolExecutor.delayedExecute(ScheduledThreadPoolExecutor.java:326)
	at java.util.concurrent.ScheduledThreadPoolExecutor.schedule(ScheduledThreadPoolExecutor.java:533)
	at org.eclipse.cdt.dsf.concurrent.DefaultDsfExecutor.schedule(DefaultDsfExecutor.java:450)
	at java.util.concurrent.ScheduledThreadPoolExecutor.submit(ScheduledThreadPoolExecutor.java:632)
	at org.eclipse.cdt.dsf.concurrent.DefaultDsfExecutor.submit(DefaultDsfExecutor.java:482)
	at org.eclipse.cdt.dsf.gdb.service.GDBBackend$MonitorInterruptJob.run(GDBBackend.java:842)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)

!ENTRY org.eclipse.cdt.dsf 4 10005 2020-10-23 17:23:16.168
!MESSAGE Request for monitor: 'RequestMonitor (org.eclipse.cdt.dsf.concurrent.ImmediateRequestMonitor@b256143): Status ERROR: org.eclipse.cdt.dsf.gdb code=10004 Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it. java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.' resulted in an error.
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:23:16.168
!MESSAGE Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
!STACK 0
java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY org.eclipse.cdt.dsf.gdb 4 5012 2020-10-23 17:23:16.217
!MESSAGE Error in final launch sequence:

Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
!STACK 1
org.eclipse.core.runtime.CoreException: Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.concurrent.Query.get(Query.java:112)
	at org.eclipse.cdt.dsf.gdb.launching.GdbLaunchDelegate.launchDebugSession(GdbLaunchDelegate.java:242)
	at org.eclipse.cdt.dsf.gdb.launching.GdbLaunchDelegate.launchDebugger(GdbLaunchDelegate.java:106)
	at org.eclipse.cdt.dsf.gdb.launching.GdbLaunchDelegate.launch(GdbLaunchDelegate.java:94)
	at com.nxp.mcuxpresso.core.debug.support.segger.launches.JLinkLaunchDelegate.launch(JLinkLaunchDelegate.java:292)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:862)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:720)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:1020)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$2.run(DebugUIPlugin.java:1234)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
Caused by: java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)
!SUBENTRY 1 org.eclipse.cdt.dsf.gdb 4 10004 2020-10-23 17:23:16.218
!MESSAGE Failed to execute MI command:
-target-select remote localhost:2331

Error message from debugger back end:
localhost:2331: No connection could be made because the target machine actively refused it.
!STACK 0
java.lang.Exception: localhost:2331: No connection could be made because the target machine actively refused it.
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.processMIOutput(AbstractMIControl.java:993)
	at org.eclipse.cdt.dsf.mi.service.command.AbstractMIControl$RxThread.run(AbstractMIControl.java:822)

!ENTRY com.nxp.mcuxpresso.trace.core 1 0 2020-10-23 17:23:37.166
!MESSAGE SWO session connected on port 2332->50423 @ 127.0.0.1

!ENTRY com.nxp.mcuxpresso.core.debug 1 0 2020-10-23 17:23:38.156
!MESSAGE Telnet session connected on port 2333->50425 @ 127.0.0.1
